## Apache Zeta Components Manual :: Docs For Class ezcSignalCollectionOptions

### SignalSlot::ezcSignalCollectionOptions

### Class ezcSignalCollectionOptions

Struct class to store the options of the ezcConsoleOutput class.

This class stores the options for the ezcSignalCollection class.

Source for this file: /SignalSlot/src/options/options.php

    ezcBaseOptions
       |
       --ezcSignalCollectionOptions

Version: | //autogen//

### Properties

array(string) | read/write | `$signals` The signals that the signal collection can throw. If this option is set using a non-existent signal is considered an exceptional state. If this option is not set or is set to null then using a non existent signal is simply ignored.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public void | `__construct( [ $options = array()] )` Construct a new options object.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

void __construct( [ $options = array()] )

Construct a new options object.

Options are constructed from an option array by default. The constructor automatically passes the given options to the __set() method to set them in the class.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | The initial options to set.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If a the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If a the value for the property options is not an instance of

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3